<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/backgrounds_menu_grass"
    android:orientation="vertical">

    <include
        android:id="@+id/levels_topbar"
        layout="@layout/topbar"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="top"
        android:layout_marginBottom="5dp"/>

    <HorizontalScrollView
        android:id="@+id/horizontalScrollView"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_gravity="center">

        <TableLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:stretchColumns="*">

            <TableRow
                android:id="@+id/levels_topRow"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1">

                <!--Will be removed before levelbuttons are added. Just there because android 7.0 doesn't like empty tableRows ;-) -->
                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"/>

            </TableRow>

            <TableRow
                android:id="@+id/levels_bottomRow"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1">

                <!--Will be removed before levelbuttons are added. Just there because android 7.0 doesn't like empty tableRows ;-) -->
                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"/>
            </TableRow>

        </TableLayout>
    </HorizontalScrollView>

</LinearLayout>